(define-module (skg packages libadlmidi)
  #:use-module (guix)
  #:use-module (guix build-system gnu)
  #:use-module (guix build-system cmake)
  #:use-module (guix git-download)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (gnu packages))

(define-public libadlmidi
  (package
    (name "libadlmidi")
    (version "1.5.1")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
              (url "https://github.com/Wohlstand/libADLMIDI.git")
              (commit "v1.5.1")))
        (file-name (git-file-name name version))
        (sha256 (base32 "0lk61j72c1qwpq0a68vkpw7qiyv2byv7852iz4mvcivsi9gmlr6l"))))
    (build-system cmake-build-system)
    (arguments (list 
                     #:tests? #f
                     #:build-type "Release"))
    (home-page "https://github.com/Wohlstand/libADLMIDI")
    (synopsis "libADLMIDI is a free Software MIDI synthesizer library with OPL3 emulation")
    (description "A Software MIDI Synthesizer library with OPL3 (YMF262) emulator ")
    (license license:lgpl3)))

